## cascading.flow.stream
Class Stage<Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>

Direct Known Subclasses:
  ElementStage

    public class Stage<Incoming,Outgoing>

extends Duct<Incoming,Outgoing>

Field Summary

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`Stage()`

Method Summary
`void` `receive(Duct previous, Incoming incoming)`

Methods inherited from class cascading.flow.stream.Duct
`bind, cleanup, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stage

    public Stage()

Method Detail

### receive

    public void receive(Duct previous,
                        Incoming incoming)

  Specified by:
    `receive` in class `Duct<Incoming,Outgoing>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.